Equinox Maven依赖关系(用于Maven或Gradle)

2020年4月1日 85点热度 0条评论

是否有Equinox可以作为Maven或Gradle的Maven依赖项消费

Central的最新版本是“org.eclipse.osgi:org.eclipse.osgi:3.7.1”,而最新版本似乎是3.10 http://download.eclipse.org/equinox/

解决方案如下:

在2017年,有一项重大计划在Maven Central上发布 eclipse jar 。

在此过程中,某些坐标已更改。最新的org.eclipse.osgi是:

<dependency>
  <groupId>org.eclipse.platform</groupId>
  <artifactId>org.eclipse.osgi</artifactId>
  <version>3.15.100</version>
</dependency>

请参阅以供引用:

  • Bug 484004
  • Eclipse Neon.2 is on Maven Central